Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## unity.util
Class Reflection

    java.lang.Object
      unity.util.Reflection

    public class Reflection

extends java.lang.Object

Field Summary
`static java.lang.ClassLoader` | `classLoader`

Constructor Summary
`Reflection()`

Method Summary
`static java.lang.Class[]` | `getClasses(java.lang.String pckgname)`
`static java.lang.Class[]` | `getClasses(java.lang.String pckgname, java.net.URL resource)`
`static java.lang.String[]` | `getClassesInJar(java.lang.String jarName, java.lang.String packageName)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### classLoader

    public static java.lang.ClassLoader classLoader

Constructor Detail

### Reflection

    public Reflection()

Method Detail

### getClassesInJar

    public static java.lang.String[] getClassesInJar(java.lang.String jarName,
                                                     java.lang.String packageName)
                                              throws java.io.FileNotFoundException,
                                                     java.io.IOException,
                                                     java.lang.ClassNotFoundException

  Throws:
    `java.io.FileNotFoundException`
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### getClasses

    public static java.lang.Class[] getClasses(java.lang.String pckgname)
                                        throws java.lang.ClassNotFoundException

  Throws:
    `java.lang.ClassNotFoundException`

### getClasses

    public static java.lang.Class[] getClasses(java.lang.String pckgname,
                                               java.net.URL resource)
                                        throws java.lang.ClassNotFoundException

  Throws:
    `java.lang.ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD